package com.cool.bang.modules.mysql.mapper;

import com.cool.bang.modules.mysql.domain.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface MySqlMapper {

    /**
     * 插入监管开户申请业务表数据
     * @param superviseBusinessList
     * @return
     */
    int insertSuperviseBusiness(@Param("list") List<SuperviseBusiness> superviseBusinessList);

    int insertSuperviseRelieve(@Param("list") List<SuperviseRelieve> superviseRelieveList);

    int insertSuperviseTo(SuperviseTo superviseTo);

    int insertSuperviseToDetail(@Param("list")List<SuperviseToDetail> superviseToDetailList);

    int insertSuperviseToPosting(@Param("list")List<SuperviseToPosting> superviseToPostingList);

    int insertSuperviseToOutgoing(@Param("list")List<SuperviseToOutgoing> superviseToOutgoingList);

    int insertProgress(Progress progress);

    int insertProgressDetail(@Param("list") List<ProgressDetail> progressDetailList);

    int insertAppropriation(Appropriation appropriation);

    int insertAppropriationDetail(@Param("list")List<AppropriationDetail> appropriationDetails);

    int insertAppropriationOutgoing(@Param("list") List<AppropriationOutgoing> outgoingList);

    int insertAppropriationPosting(@Param("list") List<AppropriationPosting> postingList);

    int insertRelieve(Relieve relieve);

    int insertRelieveDetail(@Param("list") List<RelieveDetail> relieveDetailList);

    int insertContract(@Param("list") List<Contract> contracts);

    int insertFund(@Param("list") List<Fund> funds);

    //根据 合同编号查询合同id
    Long getContractIdByNumber(@Param("htbh") String htbh);

    int insertEarnest(@Param("list") List<Earnest> earnests);
}
